commit:     7139627f8544844cc826bd1180cb63e1b04f8f0f
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 22 05:44:18 2025 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Apr 23 18:11:08 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7139627f

sys-devel/gettext: remove extremely outdated dependency on expat

It was removed upstream in favor of libxml2, back in 2015, and tagged
for 0.19.7:
https://git.savannah.gnu.org/cgit/gettext.git/commit/?id=898e184a596c43abf1067089a03df3e79b4e4527

Due to the bizarre runtime dlopen nonsense, it masqueraded for another
ten years as "the ebuild comments explain why this is a false positive
from qa-vdb".

Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 ...text-0.23.1.ebuild => gettext-0.22.5-r2.ebuild} | 23 +++++++++++-----------
 ...text-0.23.1.ebuild => gettext-0.23.1-r1.ebuild} |  5 -----
 2 files changed, 11 insertions(+), 17 deletions(-)

diff --git a/sys-devel/gettext/gettext-0.23.1.ebuild 
b/sys-devel/gettext/gettext-0.22.5-r2.ebuild
similarity index 85%
copy from sys-devel/gettext/gettext-0.23.1.ebuild
copy to sys-devel/gettext/gettext-0.22.5-r2.ebuild
index 9a7956b9ee6a..6be735b1cf10 100644
--- a/sys-devel/gettext/gettext-0.23.1.ebuild
+++ b/sys-devel/gettext/gettext-0.22.5-r2.ebuild
@@ -7,6 +7,7 @@ EAPI=8
 
 VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/gettext.asc
 inherit java-pkg-opt-2 libtool multilib-minimal verify-sig toolchain-funcs
+inherit flag-o-matic
 
 DESCRIPTION="GNU locale utilities"
 HOMEPAGE="https://www.gnu.org/software/gettext/";
@@ -22,7 +23,7 @@ else
                mirror://gnu/${PN}/${P}.tar.xz
                verify-sig? ( mirror://gnu/${PN}/${P}.tar.xz.sig )
        "
-       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+       KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 
~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
 fi
 
 # Only libasprintf is under the LGPL (and libintl is in a sep package),
@@ -36,15 +37,10 @@ IUSE="acl +cxx doc emacs git java ncurses nls openmp 
static-libs xattr"
 # Note: The version of libxml2 corresponds to the version bundled via gnulib.
 # If the build detects too old of a system version, it will end up falling back
 # to the bundled copy (bug #596918).
-#
-# Note: expat lacks a subslot because it is dynamically loaded at runtime.  We
-# would depend on older subslots if they were available (based on the ABIs that
-# are explicitly handled), but expat doesn't currently use subslots.
 DEPEND="
        >=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
        >=virtual/libintl-0-r2[${MULTILIB_USEDEP}]
        >=dev-libs/libxml2-2.9.3:=
-       dev-libs/expat
        acl? ( virtual/acl )
        ncurses? ( sys-libs/ncurses:= )
        java? ( >=virtual/jdk-1.8:* )
@@ -54,7 +50,6 @@ RDEPEND="
        ${DEPEND}
        git? ( dev-vcs/git )
        java? ( >=virtual/jre-1.8:* )
-       nls? ( app-i18n/gnulib-l10n )
 "
 BDEPEND="
        git? ( dev-vcs/git )
@@ -101,11 +96,12 @@ src_prepare() {
 
        default
 
-       # gettext-0.23-no-nls.patch changes gettext-tools/configure.ac and the
-       # corresponding configure scripts. Avoid regenerating other autotools 
output.
-       touch -c gettext-tools/{aclocal.m4,Makefile.in,config.h.in,configure} 
|| die
-       # Makefile.am adds a dependency on gettext-tools/configure.ac
-       touch -c configure || die
+       # gettext-0.21.1-java-autoconf.patch changes
+       # gettext-{runtime,tools}/configure.ac and the corresponding
+       # configure scripts. Avoid regenerating other autotools output.
+       #touch -c 
gettext-{runtime,tools}/{aclocal.m4,Makefile.in,config.h.in,configure} || die
+       # Makefile.am adds a dependency on gettext-{runtime,tools}/configure.ac
+       #touch -c configure || die
 
        elibtoolize
 
@@ -156,6 +152,9 @@ multilib_src_configure() {
                ECONF_SOURCE+=/gettext-runtime
        fi
 
+       # should be gone on next release, for memset_s breakage
+       [[ ${CHOST} == *-solaris* ]] && append-cppflags 
-D__STDC_WANT_LIB_EXT1__=1
+
        econf "${myconf[@]}"
 }
 

diff --git a/sys-devel/gettext/gettext-0.23.1.ebuild 
b/sys-devel/gettext/gettext-0.23.1-r1.ebuild
similarity index 95%
rename from sys-devel/gettext/gettext-0.23.1.ebuild
rename to sys-devel/gettext/gettext-0.23.1-r1.ebuild
index 9a7956b9ee6a..19e8f01b1a18 100644
--- a/sys-devel/gettext/gettext-0.23.1.ebuild
+++ b/sys-devel/gettext/gettext-0.23.1-r1.ebuild
@@ -36,15 +36,10 @@ IUSE="acl +cxx doc emacs git java ncurses nls openmp 
static-libs xattr"
 # Note: The version of libxml2 corresponds to the version bundled via gnulib.
 # If the build detects too old of a system version, it will end up falling back
 # to the bundled copy (bug #596918).
-#
-# Note: expat lacks a subslot because it is dynamically loaded at runtime.  We
-# would depend on older subslots if they were available (based on the ABIs that
-# are explicitly handled), but expat doesn't currently use subslots.
 DEPEND="
        >=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
        >=virtual/libintl-0-r2[${MULTILIB_USEDEP}]
        >=dev-libs/libxml2-2.9.3:=
-       dev-libs/expat
        acl? ( virtual/acl )
        ncurses? ( sys-libs/ncurses:= )
        java? ( >=virtual/jdk-1.8:* )

Reply via email to